Package pywbem :: Module lex :: Class LexerReflect |
[frames] | no frames]

# Class LexerReflect

source code

    object --+
             |
            LexerReflect

Instance Methods
__init__(self, ldict, log=None, reflags=0) x.__init__(...) initializes x; see help(type(x)) for signature | source code
get_all(self) | source code
validate_all(self) | source code
get_tokens(self) | source code
validate_tokens(self) | source code
get_literals(self) | source code
validate_literals(self) | source code
get_states(self) | source code
get_rules(self) | source code
validate_rules(self) | source code
validate_file(self, filename) | source code
Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, ldict, log=None, reflags=0) (Constructor) | source code
x.__init__(...) initializes x; see help(type(x)) for signature Overrides: object.__init__ (inherited documentation)